#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberClassRequest {
  #[prost(string, optional, tag = "1")]
  pub parent_id: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(string, tag = "2")]
  pub name: ::prost::alloc::string::String,
  #[prost(bool, tag = "3")]
  pub show: bool,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberClassResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_member_class_response::Result>,
}
/// Nested message and enum types in `CreateMemberClassResponse`.
pub mod create_member_class_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_class: ::core::option::Option<crate::models::member_class::MemberClass>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberClassesRequest {
  #[prost(message, optional, tag = "1")]
  pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
  #[prost(message, repeated, tag = "2")]
  pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
  #[prost(message, optional, tag = "3")]
  pub search: ::core::option::Option<list_member_classes_request::Search>,
}
/// Nested message and enum types in `ListMemberClassesRequest`.
pub mod list_member_classes_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Search {
    #[prost(string, optional, tag = "1")]
    pub name_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(bool, optional, tag = "2")]
    pub show: ::core::option::Option<bool>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberClassesResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_member_classes_response::Result>,
}
/// Nested message and enum types in `ListMemberClassesResponse`.
pub mod list_member_classes_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(uint64, tag = "1")]
    pub total_count: u64,
    #[prost(message, repeated, tag = "2")]
    pub member_classes: ::prost::alloc::vec::Vec<crate::models::member_class::MemberClass>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberClassRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberClassResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_class_response::Result>,
}
/// Nested message and enum types in `GetMemberClassResponse`.
pub mod get_member_class_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_class: ::core::option::Option<crate::models::member_class::MemberClass>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberClassRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(string, optional, tag = "2")]
  pub parent_id: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(string, tag = "3")]
  pub name: ::prost::alloc::string::String,
  #[prost(bool, tag = "4")]
  pub show: bool,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberClassResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_member_class_response::Result>,
}
/// Nested message and enum types in `UpdateMemberClassResponse`.
pub mod update_member_class_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_class: ::core::option::Option<crate::models::member_class::MemberClass>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberClassRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberClassResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_member_class_response::Result>,
}
/// Nested message and enum types in `DeleteMemberClassResponse`.
pub mod delete_member_class_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
