const SUBJECT: &str = "bet.beteran.ss.api.game";

pub const SUBJECT_LIST_GAMES: &str = const_format::concatcp!(SUBJECT, ".ListGames");
pub const SUBJECT_GET_GAME_URL: &str = const_format::concatcp!(SUBJECT, ".GetGameUrl");

/// subject = bet.beteran.ss.api.game.ListGames
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListGamesRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<list_games_request::Request>,
}
/// Nested message and enum types in `ListGamesRequest`.
pub mod list_games_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(message, optional, tag = "1")]
    pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
    #[prost(message, repeated, tag = "2")]
    pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
    #[prost(message, optional, tag = "3")]
    pub search: ::core::option::Option<request::Search>,
  }
  /// Nested message and enum types in `Request`.
  pub mod request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Search {
      #[prost(uint64, optional, tag = "1")]
      pub parent_id: ::core::option::Option<u64>,
      #[prost(string, optional, tag = "2")]
      pub key_like: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(string, optional, tag = "3")]
      pub platform_like: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(string, optional, tag = "4")]
      pub category_like: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(string, optional, tag = "5")]
      pub game_type_like: ::core::option::Option<::prost::alloc::string::String>,
    }
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListGamesResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_games_response::Result>,
}
/// Nested message and enum types in `ListGamesResponse`.
pub mod list_games_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(uint64, tag = "1")]
    pub total_count: u64,
    #[prost(message, repeated, tag = "2")]
    pub games: ::prost::alloc::vec::Vec<crate::models::api::game::Game>,
  }
}
/// subject = bet.beteran.ss.api.game.GetGameUrl
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetGameUrlRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<get_game_url_request::Request>,
}
/// Nested message and enum types in `GetGameUrlRequest`.
pub mod get_game_url_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub vendor_key: ::prost::alloc::string::String,
    #[prost(string, tag = "2")]
    pub game_key: ::prost::alloc::string::String,
    #[prost(string, tag = "3")]
    pub member_id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetGameUrlResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_game_url_response::Result>,
}
/// Nested message and enum types in `GetGameUrlResponse`.
pub mod get_game_url_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(uint64, tag = "1")]
    pub user_id: u64,
    #[prost(double, tag = "2")]
    pub balance: f64,
    #[prost(string, tag = "3")]
    pub url: ::prost::alloc::string::String,
  }
}
