const SUBJECT: &str = "bet.beteran.ss.member_level";

pub const SUBJECT_CREATE_MEMBER_LEVEL: &str =
  const_format::concatcp!(SUBJECT, ".CreateMemberLevel");
pub const SUBJECT_LIST_MEMBER_LEVELS: &str = const_format::concatcp!(SUBJECT, ".ListMemberLevels");
pub const SUBJECT_GET_MEMBER_LEVEL: &str = const_format::concatcp!(SUBJECT, ".GetMemberLevel");
pub const SUBJECT_UPDATE_MEMBER_LEVEL: &str =
  const_format::concatcp!(SUBJECT, ".UpdateMemberLevel");
pub const SUBJECT_DELETE_MEMBER_LEVEL: &str =
  const_format::concatcp!(SUBJECT, ".DeleteMemberLevel");

/// subject = bet.beteran.ss.member_level.CreateMemberLevel
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberLevelRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<create_member_level_request::Request>,
}
/// Nested message and enum types in `CreateMemberLevelRequest`.
pub mod create_member_level_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub name: ::prost::alloc::string::String,
    #[prost(bool, tag = "2")]
    pub show: bool,
    #[prost(uint32, tag = "3")]
    pub sort_order: u32,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberLevelResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_member_level_response::Result>,
}
/// Nested message and enum types in `CreateMemberLevelResponse`.
pub mod create_member_level_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_level: ::core::option::Option<crate::models::member_level::MemberLevel>,
  }
}
/// subject = bet.beteran.ss.member_level.ListMemberLevels
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberLevelsRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<list_member_levels_request::Request>,
}
/// Nested message and enum types in `ListMemberLevelsRequest`.
pub mod list_member_levels_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(message, optional, tag = "1")]
    pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
    #[prost(message, repeated, tag = "2")]
    pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
    #[prost(message, optional, tag = "3")]
    pub search: ::core::option::Option<request::Search>,
  }
  /// Nested message and enum types in `Request`.
  pub mod request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Search {
      #[prost(string, optional, tag = "1")]
      pub name_like: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(bool, optional, tag = "2")]
      pub show: ::core::option::Option<bool>,
    }
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberLevelsResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_member_levels_response::Result>,
}
/// Nested message and enum types in `ListMemberLevelsResponse`.
pub mod list_member_levels_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(uint64, tag = "1")]
    pub total_count: u64,
    #[prost(message, repeated, tag = "2")]
    pub member_levels: ::prost::alloc::vec::Vec<crate::models::member_level::MemberLevel>,
  }
}
/// subject = bet.beteran.ss.member_level.GetMemberLevel
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberLevelRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<get_member_level_request::Request>,
}
/// Nested message and enum types in `GetMemberLevelRequest`.
pub mod get_member_level_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberLevelResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_level_response::Result>,
}
/// Nested message and enum types in `GetMemberLevelResponse`.
pub mod get_member_level_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_level: ::core::option::Option<crate::models::member_level::MemberLevel>,
  }
}
/// subject = bet.beteran.ss.member_level.UpdateMemberLevel
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberLevelRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<update_member_level_request::Request>,
}
/// Nested message and enum types in `UpdateMemberLevelRequest`.
pub mod update_member_level_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
    #[prost(string, tag = "2")]
    pub name: ::prost::alloc::string::String,
    #[prost(bool, tag = "3")]
    pub show: bool,
    #[prost(uint32, tag = "4")]
    pub sort_order: u32,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberLevelResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_member_level_response::Result>,
}
/// Nested message and enum types in `UpdateMemberLevelResponse`.
pub mod update_member_level_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_level: ::core::option::Option<crate::models::member_level::MemberLevel>,
  }
}
/// subject = bet.beteran.ss.member_level.DeleteMemberLevel
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberLevelRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<delete_member_level_request::Request>,
}
/// Nested message and enum types in `DeleteMemberLevelRequest`.
pub mod delete_member_level_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberLevelResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_member_level_response::Result>,
}
/// Nested message and enum types in `DeleteMemberLevelResponse`.
pub mod delete_member_level_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
